Bug 504327 - Unknown menu "Install" in guest mode - brings to "Permission Error" page
Unknown menu "Install" in guest mode - brings to "Permission Error" page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Garik Khachikyan
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-05 11:40 EDT by Garik Khachikyan
Modified: 2015-01-04 16:56 EST (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshots (234.13 KB, application/x-gzip)
2009-06-05 11:40 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2009-06-05 11:40:55 EDT
Created attachment 346673 [details]
Screenshots

Description of problem:
Visiting "About" page of the RHN Satellite 5.3.0 makes a new link "Install" to be appeared in the top-left side of the menu (before "Sign In" link). Referring to that unknown link brings to the "Permission Error" page.
Attached please find the illustration screenshots (the link itself and the error page).
On the previous versions of the product this link is absent.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090507.1

How reproducible:


Steps to Reproduce:
1. <described above>
  
Actual results:
Unknown link appearance in menu list

Expected results:
No link "Install" should be while visiting "About" page.

Additional info:
Comment 1 Shannon Hughes 2009-06-05 13:51:12 EDT
fixed bad acl on perl stack, 

72d44b23f9d9f59ffe79e12886d1b2428eadce89
Comment 3 Garik Khachikyan 2009-06-15 11:16:48 EDT
# VERIFIED
Checked in both ISO-s (RHEL4 & RHEL5) re20090612.0 for x86_64 platform: there are fine now with that broken link (it's not visible now). thanks.
Comment 4 Milan Zazrivec 2009-08-20 09:22:19 EDT
Verified in stage -> RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 16:37:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.